﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Xamarin.Forms;
using Syncfusion.SfChart.XForms;
using System.Collections.ObjectModel;

namespace TrackballSample
{
    public class Trackball : ContentPage
    {
        public Trackball()
        {
            SfChart chart = new SfChart();

            NumericalAxis xAxis = new NumericalAxis();
            chart.PrimaryAxis = xAxis;

            NumericalAxis yAxis = new NumericalAxis();
            chart.SecondaryAxis = yAxis;

            DataModel dataModel = new DataModel();

            LineSeries series1 = new LineSeries();
            series1.ItemsSource = dataModel.data1;
            chart.Series.Add(series1);

            LineSeries series2 = new LineSeries();
            series2.ItemsSource = dataModel.data2;
            chart.Series.Add(series2);

            LineSeries series3 = new LineSeries();
            series3.ItemsSource = dataModel.data3;
            chart.Series.Add(series3);

            chart.ChartBehaviors.Add(new ChartTrackballBehavior());

            Content = chart;
        }
    }

    public class DataModel
    {
       public ObservableCollection<ChartDataPoint> data1 = new ObservableCollection<ChartDataPoint>();
       public ObservableCollection<ChartDataPoint> data2 = new ObservableCollection<ChartDataPoint>();
       public ObservableCollection<ChartDataPoint> data3 = new ObservableCollection<ChartDataPoint>();
        public DataModel()
        {
            data1.Add(new ChartDataPoint(1, 54));
            data1.Add(new ChartDataPoint(2, 30));
            data1.Add(new ChartDataPoint(3, 53));
            data1.Add(new ChartDataPoint(4, 63));
            data1.Add(new ChartDataPoint(5, 35));

            data2.Add(new ChartDataPoint(1, 34));
            data2.Add(new ChartDataPoint(2, 20));
            data2.Add(new ChartDataPoint(3, 43));
            data2.Add(new ChartDataPoint(4, 53));
            data2.Add(new ChartDataPoint(5, 25));

            data3.Add(new ChartDataPoint(1, 24));
            data3.Add(new ChartDataPoint(2, 10));
            data3.Add(new ChartDataPoint(3, 33));
            data3.Add(new ChartDataPoint(4, 43));
            data3.Add(new ChartDataPoint(5, 25));

        }
    }
}
